<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--
IGAC proyecto SNC

@author 		lorena.salamanca
@version		1.0
@description	Pagina principal para la gestion de documentos que se van a ingresar
                durante el ingreso de la solucitud de avaluo comercial, se llama desde el caso de
                uso 121, y en la vista de consulta de información de la solicitud, caso de uso 151
                                
@cu 			CU-SA-AC-002 Administrar Documentación Trámite Avalúo Comercial

@modified       felipe.cadena   
@Managed Bean 	AdministracionDocumentacionTramiteAvaluoMB 
-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui"
        xmlns:misc="http://java.sun.com/jsf/composite/misc"
        id="administrarDocumentacionAvaluoForm">

    <p:messages id="msgsDocTramiteAvaluo" showDetail="false"
                globalOnly="false" />

    <p:spacer height="10" />

    <h:panelGrid columns="10" cellspacing="7"
                 columnClasses="colPequena, colMediana, colPequena, colMediana, colPequena, 
                 colMediana, colPequena, colMediana, colPequena, colMediana">

        <h:outputLabel
            rendered="#{administracionDocumentacionAvaluoComercial.radicacion != null}"
            value="Radicación" styleClass="outputLabelStyle" />
        <h:outputText
            rendered="#{administracionDocumentacionAvaluoComercial.radicacion != null}"
            value="#{administracionDocumentacionAvaluoComercial.radicacion}"
            styleClass="outputTextStyle" />

        <h:outputLabel
            rendered="#{administracionDocumentacionAvaluoComercial.secRadicado != null}"
            value="Sec_radicado" styleClass="outputLabelStyle" />
        <h:outputText
            rendered="#{administracionDocumentacionAvaluoComercial.secRadicado != null}"
            value="#{administracionDocumentacionAvaluoComercial.secRadicado}"
            styleClass="outputTextStyle" />

        <h:outputLabel
            rendered="#{administracionDocumentacionAvaluoComercial.fechaRadicacion != null}"
            value="Fecha radicación" styleClass="outputLabelStyle" />
        <h:outputText
            rendered="#{administracionDocumentacionAvaluoComercial.fechaRadicacion != null}"
            value="#{administracionDocumentacionAvaluoComercial.fechaRadicacion}"
            styleClass="outputTextStyle" />   

        <h:outputLabel
            rendered="#{administracionDocumentacionAvaluoComercial.solicitante != null}"
            value="Solicitante" styleClass="outputLabelStyle" />
        <h:outputText
            rendered="#{administracionDocumentacionAvaluoComercial.solicitante != null}"
            value="#{administracionDocumentacionAvaluoComercial.solicitante.nombreCompleto}"
            styleClass="outputTextStyle" />

        <h:outputLabel

            rendered="#{administracionDocumentacionAvaluoComercial.tipoTramite != null}"
            value="Tipo trámite" styleClass="outputLabelStyle">

        </h:outputLabel>
        <h:outputText
            id="AvaluosComercialesTipoTramite"
            rendered="#{administracionDocumentacionAvaluoComercial.tipoTramite != null}"
            value="#{administracionDocumentacionAvaluoComercial.tipoTramite}"
            styleClass="outputTextStyle">
            <f:converter converterId="converterCB"
                         for="AvaluosComercialesTipoTramite" />
        </h:outputText>
    </h:panelGrid>

    <p:spacer height="5" />

    <p:fieldset>

        <legend>
            <h:outputLabel value="Documentación básica" styleClass="legendTitle" />
        </legend>

        <p:spacer height="10" />

        <p:dataTable var="documentoBasico" id="tblDocumentosRequeridos"
                     paginatorPosition="bottom" paginator="true" rows="10"
                     value="#{administracionDocumentacionAvaluoComercial.documentosBasicos}"
                     rowKey=""
                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} 
                     {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                     rowsPerPageTemplate="5,10,15"
                     emptyMessage="No hay resultados para esta búsqueda">

            <p:column headerText="Opciones">
                <p:commandButton
                    id="cargaAnexoBtn"
                    action="#{administracionDocumentacionAvaluoComercial.cargarAnexosDocumento}"
                    onstart="statusDialog2.show();"
                    oncomplete="statusDialog2.hide(); administrarAnexosWV.show()"
                    icon="#{!administracionDocumentacionAvaluoComercial.banderaModoLecturaHabilitado?'ui-icon-pencil':'ui-icon-document'}" 
                    title="#{!administracionDocumentacionAvaluoComercial.banderaModoLecturaHabilitado?'Editar anexos':'Ver anexos'}"
                    update=":administrarAnexosForm">
                    <f:setPropertyActionListener
                        target="#{administracionDocumentacionAvaluoComercial.documentoBasicoSeleccionado}"
                        value="#{documentoBasico}" />
                </p:commandButton>

            </p:column>

            <p:column headerText="Aportado">
                <h:outputText value="#{documentoBasico.aportado}"/>

            </p:column>

            <p:column headerText="Descripción documentación">
                <h:outputText id="TipoDocumentoClaseV" 
                              styleClass="outputTextStyle"
                              value="#{documentoBasico.tipoDocumento.nombre}">

                </h:outputText>

            </p:column>

            <p:column headerText="Documento soporte">
                <p:commandLink id="anexoCL"
                               action="#{administracionDocumentacionAvaluoComercial.visualizarPrimerAnexo}"
                               styleClass="commandLinkStyle"
                               value="#{documentoBasico.documentosSolicitud[0].archivo}"
                               update=":docViewer:docViewerCCForm"
                               oncomplete="docAvaluosViewerWV.show();statusDialog2.hide()"
                               onstart="statusDialog2.show()"
                               rendered="#{not empty documentoBasico.documentosSolicitud}">
                    <f:setPropertyActionListener
                        target="#{administracionDocumentacionAvaluoComercial.documentoBasicoSeleccionado}"
                        value="#{documentoBasico}" />

                </p:commandLink>
            </p:column>
        </p:dataTable>

        <p:spacer height="10" />

    </p:fieldset>


    <p:spacer height="20" />

    <p:fieldset>

        <legend>
            <h:outputLabel value="Documentación adicional"
                           styleClass="legendTitle" />
        </legend>

        <p:spacer height="10" />

        <h:panelGrid columns="1" width="100%">

            <p:dataTable var="documentoAdicional" id="tblDocumentosAdicionales"
                         paginatorPosition="bottom" paginator="true" rows="10"
                         value="#{administracionDocumentacionAvaluoComercial.documentosAdicionales}"
                         rowKey=""
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} 
                         {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         rowsPerPageTemplate="5,10,15"
                         emptyMessage="No hay resultados para esta búsqueda">

                <p:column>
                    <f:facet name="header">
                        Opciones
                    </f:facet>
                    <p:commandButton
                        id="cargarAnexoAdicionalBtn"
                        action="#{administracionDocumentacionAvaluoComercial.cargarAnexosDocumentoAdicional}"
                        onstart="statusDialog2.show();"
                        oncomplete="statusDialog2.hide(); administrarAnexosWV.show()"
                        icon="ui-icon ui-icon-pencil" title="Editar Anexos"
                        update=":administrarAnexosForm">
                        <f:setPropertyActionListener
                            target="#{administracionDocumentacionAvaluoComercial.documentoAdicionalSeleccionado}"
                            value="#{documentoAdicional}" />
                    </p:commandButton>


                    <p:commandButton
                        rendered="#{(!administracionDocumentacionAvaluoComercial.banderaModoLecturaHabilitado)
                                    and (empty documentoAdicional.documentosSolicitud)}"
                        onstart="statusDialog2.show();"
                        oncomplete="statusDialog2.hide(); confirmacionEliminarDocumentoAdicionalWV.show()"
                        icon="ui-icon ui-icon-close" title="Eliminar">
                        <f:setPropertyActionListener value="#{documentoAdicional}"
                                                     target="#{administracionDocumentacionAvaluoComercial.documentoAdicionalSeleccionado}" />
                    </p:commandButton>
                </p:column>

                <p:column headerText="Aportado">
                    <h:outputText value="#{documentoAdicional.aportado}"/>

                </p:column>

                <p:column>
                    <f:facet name="header">
                        Descripción documentación
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentoAdicional.tipoDocumento.nombre}" />
                </p:column>
                <p:column>
                    <f:facet name="header">
                        Documento soporte
                    </f:facet>

                    <p:commandLink id="anexoAdicionalCL"
                                   action="#{administracionDocumentacionAvaluoComercial.visualizarPrimerAnexoAdicional}"
                                   styleClass="commandLinkStyle"
                                   value="#{documentoAdicional.documentosSolicitud[0].archivo}"
                                   update=":docViewer:docViewerCCForm"
                                   oncomplete="docAvaluosViewerWV.show();statusDialog2.hide()"
                                   onstart="statusDialog2.show()"
                                   rendered="#{not empty documentoAdicional.documentosSolicitud}">
                        <f:setPropertyActionListener
                            target="#{administracionDocumentacionAvaluoComercial.documentoAdicionalSeleccionado}"
                            value="#{documentoAdicional}" />

                    </p:commandLink>

                </p:column>

            </p:dataTable>

            <h:panelGrid
                rendered="#{!administracionDocumentacionAvaluoComercial.banderaModoLecturaHabilitado}"
                columns="3" style="text-align:right">
                <h:outputLabel value="Descripción documento adicional:"
                               styleClass="outputLabelStyle" />

                <h:selectOneMenu converter="tipoDocumentoConverter"
                                 value="#{administracionDocumentacionAvaluoComercial.tipoNuevoDocumentoAdicional}">

                    <f:selectItems
                        value="#{administracionDocumentacionAvaluoComercial.listaTiposDocumentoAdicionales}"
                        var="tipoDoc" itemLabel="#{tipoDoc.nombre}" />

                </h:selectOneMenu>


                <p:commandButton value="Adicionar" icon="ui-icon-document"
                                 onstart="statusDialog2.show(); confirmacionAdicionarDocumentoAdicionalWV.show();"
                                 oncomplete="statusDialog2.hide();">
                </p:commandButton>

            </h:panelGrid>
            <p:spacer height="5" />
        </h:panelGrid>


    </p:fieldset>


    <p:spacer height="10" width="0" />

    <h:panelGrid columns="3" cellspacing="7">
        <p:commandButton
            rendered="#{!administracionDocumentacionAvaluoComercial.banderaModoLecturaHabilitado}"
            value="Guardar" icon="ui-icon-disk"
            oncomplete="statusDialog2.hide();confirmacionAlmacenarDocumentosWV.show()" />
    </h:panelGrid>

</h:form>
